ch.qos.logback.classic.sift

## Class SiftAction

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.action.Action
    - - ch.qos.logback.classic.sift.SiftAction

All Implemented Interfaces:
  InPlayListener, ContextAware

    public class SiftAction
    extends Action
    implements InPlayListener

### Field Summary

### Fields inherited from class ch.qos.logback.core.joran.action.Action

`ACTION_CLASS_ATTRIBUTE, CLASS_ATTRIBUTE, FILE_ATTRIBUTE, KEY_ATTRIBUTE, NAME_ATTRIBUTE, PATTERN_ATTRIBUTE, SCOPE_ATTRIBUTE, VALUE_ATTRIBUTE`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`SiftAction()`

### Method Summary

Methods
`void` `begin(InterpretationContext ic, java.lang.String name, org.xml.sax.Attributes attributes)` Called when the parser encounters an element matching a `Pattern`.
`void` `end(InterpretationContext ic, java.lang.String name)`
`java.util.List<SaxEvent>` `getSeList()`
`void` `inPlay(SaxEvent event)`

### Methods inherited from class ch.qos.logback.core.joran.action.Action

`body, getColumnNumber, getLineColStr, getLineNumber, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SiftAction

    public SiftAction()

### Method Detail

#### begin

    public void begin(InterpretationContext ic,
             java.lang.String name,
             org.xml.sax.Attributes attributes)
               throws ActionException

Description copied from class: `Action`
Called when the parser encounters an element matching a `Pattern`.

Specified by:
  `begin` in class `Action`
Throws:
  `ActionException`

#### end

    public void end(InterpretationContext ic,
           java.lang.String name)
             throws ActionException

Specified by:
  `end` in class `Action`
Throws:
  `ActionException`

#### inPlay

    public void inPlay(SaxEvent event)

Specified by:
  `inPlay` in interface `InPlayListener`

#### getSeList

    public java.util.List<SaxEvent> getSeList()